{: test that string compare causes a compilation error
   if the lhs is too long}

program e1085( output );

type
   str =  packed array[1..10] of char;

var
   s : str;
   b : boolean;
begin { e1085 }

   s := '';
   b := '1234' = s;        {OK}
   b := '12345678901' = s; {!!! too big}
end. { e1085 }

